
Redmine - Defect #1252

Switch Status to Assigned when an user is Assigned

2008-05-19 03:31 - Patrice Sc

Status: Closed Start date: 2008-05-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

I think that when you assign a ticket to an user, his status should change to "New" to "Assigned".

Related issues:

Related to Redmine - Feature #7124: Assigning an Assignee should change the i... Closed 2010-12-17

History

#1 - 2008-05-19 10:22 - Maxim Krušina

I have different pooint of view on this. As a project manager, I select user who WILL work on ticket and leave status as New. When user start working

on ticket, he/she change ticket state to Assigned. This behaviour is usefull because I can see on which tickets our team currently working and which

tickets waits in que.

If you want to add automatic Assignation of tickets, it should be good to create one more state "Accepted", so user will Accept ticket after it is

Assigned (this behaviour is simillar to Trac's), but the system will be again little more complicated, so I'm not sure if this is good solution...

What others think?

#2 - 2008-05-21 17:51 - Eric Davis

100% agree with Maxim.  I renamed my "Assigned" Status to "In Progress" because I didn't need an "Assigned" state, the Assigned To field tells me

that.  I use Status to show the progress of the ticket through the system.  My workflow is:

New ticket -> Status "New"

Someone decides to work on it -> Assigned to "User"

Someone does work on it -> Status "In Progress"

Someone completes ticket -> Status "Resolved"

Someone else signs off on the ticket -> Status "Closed" or Status "In Progress" (depending if it's done)

So far it's worked great.

#3 - 2008-05-25 17:12 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

I agree with Maxim and Eric.
